Endpoint Vulnerability

RHSA-2020:4483: opensc security, bug fix, and enhancement update (Moderate)

Description

The OpenSC set of libraries and utilities provides support for working with smart cards. OpenSC focuses on cards that support cryptographic operations and enables their use for authentication, mail encryption, or digital signatures. The following packages have been upgraded to a later upstream version: opensc (0.20.0). (BZ#1810660) Security Fix(es): * opensc: Out-of-bounds access of an ASN.1 Bitstring in decode_bit_string in libopensc/asn1.c (CVE-2019-15945) * opensc: Out-of-bounds access of an ASN.1 Octet string in asn1_decode_entry in libopensc/asn1.c (CVE-2019-15946) * opensc: Improper handling of buffer limits for CAC certificates (CVE-2019-19481) * opensc: Double free in coolkey_free_private_data in libopensc/card-coolkey.c (CVE-2019-20792) * opensc: Incorrect read operation during parsing of a SETCOS file attribute (CVE-2019-19479) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the Red Hat Enterprise Linux 8.3 Release Notes linked from the References section.

Affected Products

opensc